=== modified file 'olive.glade'
--- olive.glade	2007-08-12 16:15:03 +0000
+++ olive.glade	2007-08-22 19:30:48 +0000
@@ -129,6 +129,14 @@
                       </widget>
                     </child>
                     <child>
+                      <widget class="GtkCheckMenuItem" id="menuitem_view_show_ignored_files">
+                        <property name="visible">True</property>
+                        <property name="label" translatable="yes">Show _ignored files</property>
+                        <property name="use_underline">True</property>
+                        <signal name="activate" handler="on_menuitem_view_show_ignored_files_activate"/>
+                      </widget>
+                    </child>
+                    <child>
                       <widget class="GtkSeparatorMenuItem" id="separator_view1">
                         <property name="visible">True</property>
                       </widget>

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2007-08-16 07:29:36 +0000
+++ olive/__init__.py	2007-08-22 19:30:48 +0000
@@ -101,6 +101,7 @@
         self.menuitem_file_move = self.toplevel.get_widget('menuitem_file_move')
         self.menuitem_file_annotate = self.toplevel.get_widget('menuitem_file_annotate')
         self.menuitem_view_show_hidden_files = self.toplevel.get_widget('menuitem_view_show_hidden_files')
+        self.menuitem_view_show_ignored_files = self.toplevel.get_widget('menuitem_view_show_ignored_files')
         self.menuitem_branch = self.toplevel.get_widget('menuitem_branch')
         self.menuitem_branch_init = self.toplevel.get_widget('menuitem_branch_initialize')
         self.menuitem_branch_get = self.toplevel.get_widget('menuitem_branch_get')
@@ -154,6 +155,7 @@
                 "on_menuitem_file_rename_activate": self.on_menuitem_file_rename_activate,
                 "on_menuitem_file_annotate_activate": self.on_menuitem_file_annotate_activate,
                 "on_menuitem_view_show_hidden_files_activate": self.on_menuitem_view_show_hidden_files_activate,
+                "on_menuitem_view_show_ignored_files_activate": self.on_menuitem_view_show_ignored_files_activate,
                 "on_menuitem_view_refresh_activate": self.on_menuitem_view_refresh_activate,
                 "on_menuitem_branch_initialize_activate": self.on_menuitem_branch_initialize_activate,
                 "on_menuitem_branch_get_activate": self.on_menuitem_branch_get_activate,
@@ -223,6 +225,7 @@
 
         # Apply menu state
         self.menuitem_view_show_hidden_files.set_active(self.pref.get_preference('dotted_files', 'bool'))
+        self.menuitem_view_show_ignored_files.set_active(self.pref.get_preference('ignored_files', 'bool'))
 
         # We're starting local
         self.remote = False
@@ -702,6 +705,12 @@
         if self.path is not None:
             self.refresh_right()
 
+    def on_menuitem_view_show_ignored_files_activate(self, widget):
+        """ Hide/Show ignored files menu handler. """
+        self.pref.set_preference('ignored_files', widget.get_active())
+        if self.path is not None:
+            self.refresh_right()
+            
     def on_treeview_left_button_press_event(self, widget, event):
         """ Occurs when somebody right-clicks in the bookmark list. """
         if event.button == 3:
@@ -1151,6 +1160,8 @@
     
             # Fill the appropriate lists
             dotted_files = self.pref.get_preference('dotted_files', 'bool')
+            ignored_files = self.pref.get_preference('ignored_files', 'bool')
+
             for item in os.listdir(path):
                 if not dotted_files and item[0] == '.':
                     continue
@@ -1232,6 +1243,8 @@
                     st = _('unchanged')
                 elif status == 'ignored':
                     st = _('ignored')
+                    if not ignored_files:
+                        continue
                 else:
                     st = _('unknown')
                 
@@ -1467,6 +1480,7 @@
         # Some default options
         self.defaults = { 'strict_commit' : False,
                           'dotted_files'  : False,
+                          'ignored_files' : True,
                           'window_width'  : 700,
                           'window_height' : 400,
                           'window_x'      : 40,

